; Purely framework-related config, this file should not be edited externally

[Window]
; Initial values, can be changed later from Settings.Window
Width=800
Height=600
Fullscreen=false
; If true then saved user-settings override this
AllowUserSettings=true

[Graphics]
; Setting to true causes game to do updates with a fixed time difference
; It removes a need for considering time that passed since last update in many places, but
; personally I only use it to test behaviour in low fps situations
IsFixedTimeStep=false
; Time between updates - 16 = 60 fps
TargetElapsedTimeMillis=16
SynchronizeWithVerticalRetrace=false

[Mouse]
; Should cursor be visible at start of the game?
CursorVisibleAtStart=true
; Should game use OS cursor?
DefaultCursor=true
; Content id of cursor - won't be loaded and used if DefaultCursor=true
CursorSpriteContentId=example-cursor

[Content]
; This file defines every item that can be loaded into game. Relative to mod folder.
ContentItemsJsonPath=content-items.json
; This file defines packages that can be loaded on call (or startup). Relative to mod folder
ContentPackagesJsonPath=content-packages.json
; Should the unused content be unloaded (unused means that getItem<> wasn't called in a period of time)
ContentUnloadActive=true
; Time in milis after which the unused item should be unloaded
; 300 000 = 5 min
ContentUnloadTime=300000
; 2000 - 2 sec (test purposes)
;ContentUnloadTime=2000

[Input]
; Defines default keybindings - they will be loaded if no user file is found
DefaultKeybindsJson=Content/MonoPanda/keybinds_default.json
; Optional file with user settings - created by calling InputManager.saveUserKeybinds() (saves current loaded settings, for changing use InputManager.setUserKeybind())
UserKeybindsJson=Content/MonoPanda/keybinds.json

[Sound]
; Location of json with map (contentId -> volume) that can be used to tweak individual files. Relative to mod folder
SoundVolumeJsonPath=sound-volume.json
; Default volumes; used only on first startup to create user settings
SFXVolume=100
MusicVolume=100

[Language]
; Directory with languages in mod folder
LanguagesDirectory=Languages/
; Default language (ini file name without extension) - used if mod didn't find language set in user-settings
Language=en

[Mods]
; Folder of mod folders OwO
ModsFolder=Content/Mods/
; Folder name of core of the game, it will not show in mod manager and will always be loaded as first
CoreModFolderName=_Main
; Json with user settings of active mods & mod order
ModsSettingsJson=Content/MonoPanda/mods.json
; Json with basic info about mod (relative to mod foldery)
ModInfoJson=mod-info.json

[States]
; Json with all possible states defined (map: state id => qualified name of state class)
StatesJsonPath=Content/MonoPanda/states.json
; Id of state that will be activated on startup
InitialStateId=example-states-main

[Time]
; Time.ElapsedCalculated will return ElapsedMillis multiplied by value below. 
; 0.001 means that returned value will describe how many seconds passed since last update
; usage example: position += new Vector2(100, 0) * Time.ElapsedCalculated; // this will change position at speed of 100 pixels per second
ElapsedCalculatedMultiplier=0.001

[Spine]
; This specific skin will not get a warn log about not being found.
; Note that if there will be a skin named this way, it will still get loaded!
; Also any non-existant skin name causes it to be switched off.
EmptySkinName=empty

[Debug]
; Enables updates in DebugTools class - easy way to see state of all instanced systems at current point
; Should be set to false for release
DebugTools=true
; Shows rectangle around each entity indicating his "visibility" (as long as rectangle is on screen, the entity is considered visible).
; Pretty useless tbh
VisibilityRectangles=false
; Shows collision rectangles
CollisionRectangles=false
; Shows collision world (humper library)
CollisionSystemWorld=false
; Shows rectangle in calculated center position
CameraSystemCenterRectangle = false
; If set to true, then light system will do additional GraphicsDevice.Clear call.
; It is necessary if you are not drawing anything in the background and want the background colour to be affected by the system.
LightSystemGraphicsDeviceClear=true
; Shows Penumbra debug
LightSystemDebug=false

[Console]
; If true, console functionality will be enabled
ConsoleActive=true
; Button name from MonoGame Keys enum, used to open/close console
ConsoleButton=OemTilde
; Console font name from game content (used also in other debug windows)
ConsoleFont=example-font
; Console font size
ConsoleFontSize=16
; Default console height
ConsoleDefaultHeight=300
; Number of lines stored in console memory
ConsoleMaxLines=256
; Number of executed commands stored in console history
CommandHistoryMax=64
; User macros json
UserMacrosJson=Content/MonoPanda/macros.json
